<?xml version="1.0"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
            http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.yifu.cloud.plus.v1</groupId>
        <artifactId>yifu</artifactId>
        <version>1.0.0</version>
    </parent>

    <artifactId>yifu-mail-biz</artifactId>
    <packaging>jar</packaging>

    <description>身份证+手机号验证模块</description>


    <dependencies>
		<!--选配: 依赖seata模块-->
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-common-seata</artifactId>
		</dependency>
		<!-- email -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-mail</artifactId>
			<version>2.6.7</version>
		</dependency>

		<!--必备: 依赖api模块-->
        <dependency>
            <groupId>com.yifu.cloud.plus.v1</groupId>
            <artifactId>yifu-mail-api</artifactId>
            <version>1.0.0</version>
        </dependency>
        <!--必备：安全模块-->
        <dependency>
            <groupId>com.yifu.cloud.plus.v1</groupId>
            <artifactId>yifu-common-security</artifactId>
        </dependency>
        <!--必备：日志处理-->
        <dependency>
            <groupId>com.yifu.cloud.plus.v1</groupId>
            <artifactId>yifu-common-log</artifactId>
        </dependency>
        <!--必备：swagger-->
        <dependency>
            <groupId>com.yifu.cloud.plus.v1</groupId>
            <artifactId>yifu-common-swagger</artifactId>
        </dependency>
        <!--必备：undertow容器-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-undertow</artifactId>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
            <plugin>
				<groupId>com.spotify</groupId>
				<artifactId>docker-maven-plugin</artifactId>
				<version>1.1.0</version>
				<configuration>
					<serverId>docker-hub</serverId>
					<!--指定生成的镜像名-->
					<imageName>${my.hub.host}/${map.group.name}/${project.artifactId}:${project.version}</imageName>
					<dockerDirectory>${project.basedir}/</dockerDirectory>
					<!--指定远程 docker api地址-->
					<!--<dockerHost>http://172.16.66.232:2375</dockerHost>-->
					<!--  这里是复制 jar 包到 docker 容器指定目录配置-->
					<resources>
						<resource>
							<targetPath>/</targetPath>
							<!--jar 包所在的路径  此处配置的 即对应 target 目录-->
							<directory>${project.build.directory}</directory>
							<!-- 需要包含的 jar包 ，这里对应的是 Dockerfile中添加的文件名　-->
							<include>${project.build.finalName}.jar</include>
						</resource>
					</resources>
					<forceTags>true</forceTags>
				</configuration>
            </plugin>
        </plugins>
    </build>

</project>
